OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_CertificationAssignment Class Reference

Representation of STEP entity CertificationAssignment
.

`#include <StepBasic_CertificationAssignment.hxx>`

Inheritance diagram for StepBasic_CertificationAssignment:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_CertificationAssignment ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_Certification)&aAssignedCertification)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepBasic_Certification | AssignedCertification () const
| Returns field AssignedCertification .
Standard_EXPORT void | SetAssignedCertification (const Handle(StepBasic_Certification)&AssignedCertification)
| Set field AssignedCertification .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_Certification | theAssignedCertification

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_CertificationAssignment::StepBasic_CertificationAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Certification StepBasic_CertificationAssignment::AssignedCertification | ( |  | ) | const

Standard_EXPORT const StepBasic_CertificationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP203_CcDesignCertification.

Standard_EXPORT void StepBasic_CertificationAssignment::Init | ( | const Handle(StepBasic_Certification)& | aAssignedCertification | ) |

Standard_EXPORT void StepBasic_CertificationAssignment::SetAssignedCertification | ( | const Handle(StepBasic_Certification)& | AssignedCertification | ) |

## Field Documentation

Handle_StepBasic_Certification StepBasic_CertificationAssignment::theAssignedCertification`[private]`

The documentation for this class was generated from the following file:

- StepBasic_CertificationAssignment.hxx